System 2.0.0.0 4.0.0.0 System.ComponentModel.Win32Exception

Types in the namespace throw this exception when a call to a Win32 function fails. The property contains the result returned by the function.

The exception that is thrown when an error occurs while retrieving network information.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the property to the most recent Win32 error.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the value of the property to .

  Initializes a new instance of the class with the specified error code.

  A Win32 error code.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  This constructor is used by the system to create a instance from serialized data.

  Initializes a new instance of the class with serialized data.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The value of this property is set by the constructor. This property is overridden to return a Win32 error code instead of an HRESULT value.

  Gets the Win32 error code for this exception.